coupang
GET/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outboundv1

출고지 조회

# 01

요약

API 적용 가능한 구매자 사용자 지역: 한국, 대만 등록된 출고지 목록을 조회할 수 있습니다. 또는 출고지명, 출고지 코드를 사용하여 등록된 출고지 정보를 조회할 수 있습니다. **출고지 정보 조회시 사용하는 파라미터** 1. 등록 된 전체 출고지 목록을 조회할 경우 : pageNum와 pageSize만 입력 2.

# 02

상세

API 적용 가능한 구매자 사용자 지역: 한국, 대만
등록된 출고지 목록을 조회할 수 있습니다.
또는 출고지명, 출고지 코드를 사용하여 등록된 출고지 정보를 조회할 수 있습니다. 

**출고지 정보 조회시 사용하는 파라미터** 
1. 등록 된 전체 출고지 목록을 조회할 경우 : pageNum와 pageSize만 입력 
2. 원하는 출고지 정보만 조회할 경우 : placeNames 또는 placeCodes만 입력

Path

GET

/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound

Example Endpoint

https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound?pageSize=50&pageNum=1
 
https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v2vendor/shipping-place/outbound?placeNames=상품출고지1

Request Parameters

Query String Parameter

Name Required Type Description
placeCodes   Long
출고지 코드
출고지 생성 시, Response 메시지로 노출되는 값
outboundShippingPlaceCode와 동일
placeNames   String
출고지명
shippingPlaceName과 동일
pageNum   Integer
조회 페이지
Min = 1, Max: 리턴되는 totalPages 값 
※ 목록을 조회하실 경우, 반드시 입력해주세요
pageSize   Integer
페이지당 최대 호출 수
Default=10, Max=50 
※ 입력하지 않을 경우, 디폴트 값인 10으로 처리 됩니다.

Request Example

 
not require body

Response Message

   
Name Type Description
content Array
출고지 목록 데이터
  outboundShippingPlaceCode Long
출고지 코드
  shippingPlaceName String
출고지 이름
50자 이하로 작성
  placeAddresses Array
출고지 주소
    addressType String
주소 타입 
JIBUN, ROADNAME, OVERSEA
    countryCode String
국가 코드, 국내의 경우 'KR'. 유효길이는 2
    companyContactNumber String
전화번호
구분 Min~Max
x 2~4자
y 3~4자
z 4자
    phoneNumber2 String
보조 전화번호
(형식 : 전화번호와 동일합니다.)
    returnZipCode String
우편번호 : 숫자
5~6자리 숫자
    returnAddress String
주소
최대 150자
    returnAddressDetail String
상세주소
최대 200자
  remoteInfos Array
도서산간 배송정보
    remoteInfoId Number
도서산간 배송정보 ID
    deliveryCode String
택배사 코드
출고지 생성 API - 택배사 코드 참고
    jejuFee Number
제주 지역 배송비(원)
    notJeju Number
제주외지역 배송비
    usable Boolean
도서산간 배송정보 유효여부
true or false
  createDate Object
생성일
YYYY/MM/DD
  usable Boolean
사용가능 여부
true or false
pagination Object
페이징
  currentPage Number
현재 페이지
예) 1
  totalPages Number
전체 페이지 Count
예) 1000
  totalElements Number
전체 데이터 Count
예) 1000
  countPerPage Number
페이지별 데이터 Count
예) 10, 20, 30

Response Example

{
  "content": [
    {
      "outboundShippingPlaceCode": 1111222,
      "shippingPlaceName": "상품출고지1",
      "createDate": "2019/06/24",
      "placeAddresses": [
        {
          "addressType": "JIBUN",
          "countryCode": "KR",
          "companyContactNumber": "02-1234-5678",
          "phoneNumber2": "031-1234-5678",
          "returnZipCode": "05510",
          "returnAddress": "서울특별시 송파구 신천동",
          "returnAddressDetail": "7-30, Tower출고지"
        }
      ],
      "remoteInfos": [
        {
          "remoteInfoId": 581487,
          "deliveryCode": "DIRECT",
          "jeju": 5000,
          "notJeju": 2500,
          "usable": true
        }
      ],
      "usable": true
    }
  ],
  "pagination": {
    "currentPage": 1,
    "countPerPage": 1,
    "totalPages": 1,
    "totalElements": 1
  }
}

Error Spec

HTTP 상태 코드(오류 유형) 오류 메시지 해결 방법
400 (요청변수확인)

(pageNum & pageSize) or placeCodes or placeNames must be provided to call this API

(pageNum & pageSize)  또는 placeCodes, placeNames 값 입력이 누락되지 않았는지 확인합니다. 

 

URL API Name

OUTBOUND_SHIPPING_PLACE